# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: "http://devicetree.org/schemas/power/supply/power-supply.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Power Supply Core Support

maintainers:
  - Sebastian Reichel <sre@kernel.org>

properties:
  power-supplies:
    $ref: /schemas/types.yaml#/definitions/phandle-array
    description:
      This property is added to a supply in order to list the devices which
      supply it power, referenced by their phandles.

additionalProperties: true

examples:
  - |
    power {
      #address-cells = <1>;
      #size-cells = <0>;

      usb_charger:charger@e {
        compatible = "some,usb-charger";
        reg = <0xe>;
      };

      ac_charger:charger@c {
        compatible = "some,ac-charger";
        reg = <0xc>;
      };

      battery:battery@b {
        compatible = "some,battery";
        reg = <0xb>;
        power-supplies = <&usb_charger>, <&ac_charger>;
      };
    };
